Infra APIDomains
Initiate custom domain
Begins custom domain registration and returns DNS instructions
POST
/api/v1/domainsBegins custom domain registration and returns DNS instructions
Authorization
BearerAuth AuthorizationBearer <token>
Supabase JWT Bearer token
In: header
Request Body
application/json
Domain registration
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/domains" \ -H "Content-Type: application/json" \ -d '{}'{ "a_record_ip": "string", "domain": "string", "instructions": "string", "txt_record_name": "string", "txt_record_value": "string", "verification_token": "string", "verify_ownership": true}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}